## GDataYouTubeCategory GDataYouTubeCategory — YouTube category element |

## Stability Level

Unstable, unless otherwise indicated

## Functions

gboolean | gdata_youtube_category_is_assignable ()
gboolean | gdata_youtube_category_is_browsable ()
gboolean | gdata_youtube_category_is_deprecated ()

## Properties

gboolean | is-assignable | Read
gboolean | is-deprecated | Read

## Types and Values

| GDataYouTubeCategory
| GDataYouTubeCategoryClass

## Object Hierarchy

        GObject
        ╰── GDataParsable
            ╰── GDataCategory
                ╰── GDataYouTubeCategory

## Implemented Interfaces

GDataYouTubeCategory implements GDataComparable.

## Includes

    #include <gdata/services/youtube/gdata-youtube-category.h>

## Description

GDataYouTubeCategory represents the YouTube-specific customizations to GDataCategory. For more information, see the online documentation.

## Functions

### gdata_youtube_category_is_assignable ()

    gboolean
    gdata_youtube_category_is_assignable (GDataYouTubeCategory *self);

Gets the “is-assignable” property.

#### Parameters

self | a GDataYouTubeCategory |

#### Returns

whether new videos can be assigned to the category

Since 0.7.0

### gdata_youtube_category_is_browsable ()

    gboolean
    gdata_youtube_category_is_browsable (GDataYouTubeCategory *self,
                                         const gchar *region);

Returns whether the category is browsable in the given `region` . The list of supported region IDs is

available online.

#### Parameters

self | a GDataYouTubeCategory |
region | a two-letter region ID |

#### Returns

whether the category is browsable in `region`

Since 0.7.0

### gdata_youtube_category_is_deprecated ()

    gboolean
    gdata_youtube_category_is_deprecated (GDataYouTubeCategory *self);

Gets the “is-deprecated” property.

#### Parameters

self | a GDataYouTubeCategory |

#### Returns

whether the category is deprecated

Since 0.7.0

## Types and Values

### GDataYouTubeCategory

    typedef struct _GDataYouTubeCategory GDataYouTubeCategory;

All the fields in the GDataYouTubeCategory structure are private and should never be accessed directly.

Since 0.7.0

### GDataYouTubeCategoryClass

    typedef struct {
    } GDataYouTubeCategoryClass;

All the fields in the GDataYouTubeCategoryClass structure are private and should never be accessed directly.

Since 0.7.0

## Property Details

### The `“is-assignable”` property

      “is-assignable”            gboolean

Whether new videos can be added to the category.

Flags: Read

Default value: FALSE

Since 0.7.0

### The `“is-deprecated”` property

      “is-deprecated”            gboolean

Whether the category is deprecated.

Flags: Read

Default value: TRUE

Since 0.7.0